function [D] = convhull(g1,g2,m1,m2)
% D = convhull(g1,g2,m1,m2)
% given g1 and g2, finds the convex hull of payoffs
% forms matrix D with each row [vector, value]
 hold on
 counter = 1;
 for j1 = 1:m1,
 for j2 = 1:m2,
 for k1 = 1:m1,
 for k2 = 1:m2,
            vec = [g2(j1,j2) - g2(k1,k2), g1(k1,k2) - g1(j1,j2)];
	    indicator = 1;
            if (j1 == k1 & j2 == k2) indicator = 0; end
 for l1 = 1:m1,
 for l2 = 1:m2,
            price = [g1(l1,l2) - g1(j1,j2), g2(l1,l2) - g2(j1,j2)];
            payment = price*vec';
            if (payment > 0) indicator = 0; end
 end 
 end
 if (indicator == 1) 
   DQ(1,1:2) = vec;    
   DQ(1,3) = [g1(j1,j2), g2(j1,j2)]*vec';  
   ind = 1;
   for k = 1:(counter - 1),
     if isequal(DQ,D(k,:)) ind = 0; end
   end
   if isequal(DQ,zeros(1,3)) ind = 0; end
   if (ind == 1),  
     D(counter, 1:2) = vec;   
     D(counter, 3) = [g1(j1,j2), g2(j1,j2)]*vec';
     counter = counter + 1;
     plot([g1(k1,k2), g1(j1,j2)], [g2(k1,k2), g2(j1,j2)],'g');
   end
 end

 end 
 end
 end
 end
