function [k,a,t] = kappa(w,N,r,g1,g2,gamma1,gamma2,m1,m2)
% [k,a,t] = kappa(w,N,r,g1,g2,gamma1,gamma2,m1,m2)
% finds the curvature
% here g1 and g1 are arrays of static payoffs
% m1 and m2 are number of actions of players 1 and 2 
% returns t = 1 if there is a static Nash equilibrium payoff separated from
% the curve by the tangent line

k = 0;
t = 0;
a = [0 0];

for k1 = 1:m1,
    for k2 = 1:m2,
        distance = ([g1(k1,k2) g2(k1,k2)]-w)*(N.'); 
	if (distance > 0)
        B = gamma1(k1,k2)^2/N(2)^2 + gamma2(k1,k2)^2/N(1)^2;
        if (B > 0) 
            kmaybe = 2*distance/B;
        else
            % static Nash equilibrium separated from curve by tangent line
            kmaybe = 0;
            t = 1;
        end 
            if (k < kmaybe)
                 k = kmaybe;
                 a = [k1 k2];
            end
        end
     end
end

k = k/r;
