function [g1,g2,gamma1,gamma2,m1,m2] = payinc(A1,A2,c1,c2,b1,b2)
% [g1,g2,gamma1,gamma2,m1,m2] = payinc(A1,A2,c1,c2,b1,b2)
% player 1 gets payoff c1(a1) + b1(a1) a2
% player 2 gets payoff c2(a2) + b2(a2) a1
% vectors Ai should be postive, ci should be concave in Ai

m1 = size(A1); m1 = max(m1);
m2 = size(A2); m2 = max(m2); 
g1 = zeros(m1,m2);
g2 = zeros(m1,m2);
gamma1 = zeros(m1,m2);
gamma2 = zeros(m1,m2);

for k1 = 1:m1,
    for k2 = 1:m2,
	       g1(k1,k2) = c1(k1) + b1(k1)*A2(k2);
               g2(k1,k2) = c2(k2) + b2(k2)*A1(k1);
    end
end


for k1 = 1:m1,
	   gamma2(k1,:) = incentive(g2(k1,:),A2,m2);
end

for k2 = 1:m2,
	   gamma1(:,k2) = incentive(g1(:,k2),A1,m1);
end

