A1 = [0 1 2 3 4 5 6 7 8 9 10]; A2 = A1;
c1 = A1.*(25 - 2*A1); c2 = A2.*(30 - 2*A2);
b1 = -A1; b2 = -2*A2;
% payoff functions a1*(25 - 2*a1 - a2) and a2*(30 - 2*a2 - 2*a1)
% minmax of player 1: 4*(15 - 8) = 28, minmax of player 2: 3*(10 - 6) = 12
% 4*(25 - 13) = 48 5*(30 - 18) = 60

[g1,g2,gamma1,gamma2,m1,m2] = payinc(A1,A2,c1,c2,b1,b2);
hold on
[D] = convhull(g1,g2,m1,m2); plot([28 28 73.5], [86 12 12]);
axis([28 73.2 12 86]);

w = [28 50];
r = 1.5; dir = 1; 

N = [cos(pi + 0.02231687) sin(pi + 0.02231687)];
[W,a,n,t] = solvegame(w,N,r,A1,A2,c1,c2,b1,b2,dir);
plot(W(1:n,1), W(1:n,2), 'k');

prec = 1000;

w = W(prec*3.2,1:2);
theta = acos(W(prec*3.2,3));

N = [cos(theta + 0.0004612) sin(theta + 0.0004612)];
[W,a,n,t] = solvegame(w,N,r,A1,A2,c1,c2,b1,b2,dir); 
plot(W(1:n,1), W(1:n,2), 'r');
